<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    /**
     * Get the threads the user has posted.
     */
    public function threads() {
        return $this->hasMany('App\Thread');
    }

    /**
     * Get the posts the user has made.
     */
    public function posts() {
        return $this->hasMany('App\Post');
    }

    /**
     * Get the tags the user has created.
     */
    public function tags() {
        return $this->hasMany('App\Tag');
    }
}
